Bug 877114 - Review Request: smack - Open Source XMPP (Jabber) client library
Review Request: smack - Open Source XMPP (Jabber) client library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 877152
  Show dependency treegraph
 
Reported: 2012-11-15 12:53 EST by gil cattaneo
Modified: 2013-01-20 08:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 19:59:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-11-15 12:53:41 EST
Spec URL: http://gil.fedorapeople.org/smack.spec
SRPM URL: http://gil.fedorapeople.org/smack-3.2.2-1.fc16.src.rpm
Description: 
Smack is an Open Source XMPP (Jabber) client library for instant
messaging and presence. A pure Java library, it can be embedded
into your applications to create anything from a full XMPP client
to simple XMPP integrations such as sending notification messages and
presence-enabling devices.

Fedora Account System Username: gil

tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4692523

NOTE: README.html contains the ASL 2.0 license
Comment 1 Peter Lemenkov 2012-12-26 03:18:34 EST
Hello. I'm interested in this package (it's a builddependency/dependency for the package I'm using). Are you still interested in packaging this.
Comment 2 Peter Lemenkov 2012-12-26 04:30:55 EST
Ok, few notes.

* Could you please add "-print" commandline switch to find? E.g.

find . -name "*.class" -print -delete
find . -name "*.dll" -print -delete
find . -name "*.jar" -print  -delete

This will show us what was actually removed and what wasn't.

* Could you please summarize what features are unavailable now? (Missing requires).

* Does this package contain any unit-tests? I see it requires junit so maybe we could run them to see what works and what isn't yet.
Comment 3 gil cattaneo 2012-12-26 05:43:39 EST
(In reply to comment #2)
> Ok, few notes.
> 
> * Could you please add "-print" commandline switch to find? E.g.
> 
> find . -name "*.class" -print -delete
> find . -name "*.dll" -print -delete
> find . -name "*.jar" -print  -delete
> 
> This will show us what was actually removed and what wasn't.
./jingle/extension/build/lib/commons-logging-1.1.jar
./jingle/extension/build/lib/junit.jar
./jingle/extension/build/lib/commons-logging-adapters-1.1.jar
./jingle/extension/build/lib/jspeex-0.9.7-jfcom.jar
./jingle/extension/build/lib/jmf.jar
./jingle/extension/build/lib/commons-logging-api-1.1.jar
./jingle/extension/build/lib/Speex.jar
./jingle/extension/build/merge/jstun.jar

./smack.jar
./smackx-debug.jar
./smackx.jar
./build/junit.jar
./build/ant-contrib.jar
./build/build/java-xmlbuilder-0.3.jar
./build/build/biz.aQute.bnd.jar
./build/build/xmlunit.jar
./build/merge/xpp.jar
./build/merge/jzlib.jar
./smackx-jingle.jar

> * Could you please summarize what features are unavailable now? (Missing
> requires).
Disabled "only" smack jingle extension

> * Does this package contain any unit-tests? I see it requires junit so maybe
> we could run them to see what works and what isn't yet.
yes, done but someone of these required a "web connection"

Spec URL: http://gil.fedorapeople.org/smack/1/smack.spec
SRPM URL: http://gil.fedorapeople.org/smack/1/smack-3.2.2-2.fc18.src.rpm
Comment 4 gil cattaneo 2012-12-26 05:53:54 EST
> > * Could you please summarize what features are unavailable now? (Missing
> > requires).
> Disabled "only" smack jingle extension
jingle/extension/build/lib/Speex.jar mil.jfcom.cie.media
jingle/extension/build/lib/jmf.jar http://www.oracle.com/technetwork/java/javase/download-142937.html
jingle/extension/build/lib/jspeex-0.9.7-jfcom.jar org.xiph.speex.{spi,JSpeexDec,JSpeexEnc}

Happy New Year
Comment 5 gil cattaneo 2012-12-26 06:22:33 EST
(In reply to comment #3)
> (In reply to comment #2)
> ./jingle/extension/build/merge/jstun.jar http://gil.fedorapeople.org/jstun.spec
Comment 6 Peter Lemenkov 2012-12-26 06:28:02 EST
Ok, good.

Here is a sucessful Koji scratchbuild for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4819874

Apparently my package (Jitsi) refused to compile with this package but it has some dirty manifest import/export magic I didn't fully understand yet.
Comment 7 gil cattaneo 2012-12-26 06:41:35 EST
hi Peter 
can you post your Jitsi build problems with smack?
Comment 8 Peter Lemenkov 2012-12-26 06:59:16 EST
(In reply to comment #7)
> hi Peter 
> can you post your Jitsi build problems with smack?

I'm afraid this would be a bit prematurely :) since I'm not a familiar with Java development stack. Let's review this package first. And here is my


REVIEW:

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

work ~/Desktop: rpmlint smack-*
smack.noarch: E: explicit-lib-dependency jzlib

^^^ false positive triggered by a substring "lib".

smack.noarch: W: spelling-error %description -l en_US integrations -> integration, integration's, integration s
smack.src: W: spelling-error %description -l en_US integrations -> integration, integration's, integration s

^^^ false positives as well.

3 packages and 0 specfiles checked; 1 errors, 2 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines (see also https://fedoraproject.org/wiki/Packaging:Java ).
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (Apache 2.0).
+ The file, containing the text of the license(s) for the package, is included in %doc (README.html).
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

work ~/Desktop: sha256sum smack_src_3_2_2.tar.gz*
810582f4e0adaf2265822f7ee276cd264e201291812473abcaf95fbebf796cc1  smack_src_3_2_2.tar.gz
810582f4e0adaf2265822f7ee276cd264e201291812473abcaf95fbebf796cc1  smack_src_3_2_2.tar.gz.new
work ~/Desktop: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


APPROVED.
Comment 9 gil cattaneo 2012-12-26 07:29:58 EST
New Package SCM Request
=======================
Package Name: smack
Short Description: Open Source XMPP (Jabber) client library
Owners: gil
Branches: f17 f18
InitialCC: java-sig
Comment 10 Kevin Fenzi 2012-12-30 15:18:56 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-12-31 12:41:08 EST
smack-3.2.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/smack-3.2.2-2.fc18
Comment 12 Fedora Update System 2012-12-31 12:55:35 EST
smack-3.2.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/smack-3.2.2-2.fc17
Comment 13 Fedora Update System 2012-12-31 19:15:30 EST
smack-3.2.2-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2013-01-11 19:59:32 EST
smack-3.2.2-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-01-12 10:26:29 EST
smack-3.2.2-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.